Bug 1010708 - Recommended way to bypass single HAProxy
Recommended way to bypass single HAProxy
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
2.2.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: jofernan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 13:19 EDT by Arthur Enright
Modified: 2016-05-25 09:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 09:33:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Enright 2013-09-22 13:19:45 EDT
In our non-cloud deployment, we have an F5 load balancer in front of two or more Apache servers running mod_proxy.

The single HAProxy implementation for a scaled application represents a single point of failure which we would like to resolve.

Does Red Hat have a suggested way of eliminating the single point of failure?

Options I've thought of (but not had time to test):

a.) allowing multicast broadcast to mod_cluster.

b.) tracking the gears by following the HAProxy config file.

c.) tracking the gears by subscribing to some event in ActiveMQ.

I'm open to discussions are ideas here.
Comment 3 Brenton Leanhardt 2014-02-04 09:33:26 EST
This was addressed in the 2.0 release with External Load Balancing:

https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/2/html-single/Deployment_Guide/index.html#sect-External_Load_Balancing

If you feel there is something else required please let us know.

Note You need to log in before you can comment on or make changes to this bug.